#pragma once
#include <string>
#include "CivInpBuilder.h"

/**
  ݿתinpļת
*/
class CivInpConvertor
{
public:

	explicit CivInpConvertor(const std::string& uri);
	~CivInpConvertor();

	/**
	 *@brief תɷģinpļ
	 *@param projCode 
	 *@param startTime ģʱ
	 */
	std::string convertPorjInp(const std::string& projCode,
		const std::string& startTime);

	/**
	 *@brief תɷͨinp
	 */
	std::string convertBaseInp();

	/**
	 *@brief ׷ģinpļ
	 *@param sn ׷ٵĽڵ
	 *@param hours ׷Сʱ
	 */
	std::string convertTrackInp(const std::string& sn,const std::string& hours);

	std::string convertAnalysisInp();

private:
	std::string mUri;
};