#pragma once
#include<string>
#include<map>

struct ResultItem
{
	std::string code;
	char szNo[64];
	std::string dDate;
	std::string dTime;
	float dQuality;
	std::string dModifyTime;
};

// ڵģֵ
struct NodeResultItem:public ResultItem
{
	float dHead;
	float dPressure;
	float dElevation;
	float dDemand;	
};

// ܶνģֵ
struct LinkResultItem:public ResultItem
{
	char szStatus[32];
	float dFlow;
	float dVelocity;
	float dHeadloss;// λˮ
};

// ˮ
struct TankResultItem :public ResultItem
{	
	float dTankVolume;
	float dTankMaxVolume;
	float dTankLevel;
};

#define NodeResultItems std::map<std::string,NodeResultItem> 
#define LinkResultItems std::map<std::string,LinkResultItem> 
#define TankResultItems std::map<std::string,TankResultItem>

// ڵ
typedef struct NodeCoord
{
	std::string xCoord; // x
	std::string yCoord; // y
} NodeCoord;

// ܶ
typedef struct PipeCoord
{
	std::string startX; // ʼڵx
	std::string startY; // ʼڵY
	std::string endX;// ֹڵX
	std::string endY;// ֹڵY
}PipeCoord;

#define NodeCoords std::map<std::string,NodeCoord>
#define PipeCoords std::map<std::string,PipeCoord>

