#include "CivHydrTest.h"
#include "CivHydrFuncInter.h"
#include <iostream>


// ˮ
void CivConHydrTest::test(char* uri)
{
    int succ = hdyrSimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}


// ˮʲ
void CivConQuaTest::test(char* uri)
{
    int succ = qualitySimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}

// ׷ٷ
void CivConTrackTest::test(char* uri)
{
    char result[1024 * 512];

    char sn[64];
    strcpy_s(sn, "ffd0f63d-b8c3-4354-aea5-aedc52cb8e16");

    int succ = trackingSimulation(uri, sn, 6, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << succ << std::endl;
}

void CivUpstreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[64];
    strcpy(sn, "ffd0f63d-b8c3-4354-aea5-aedc52cb8e16");

    char result[1024 * 128];

    bool isSucc = upstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ׷
*/
void CivDownStreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[64];
    strcpy(sn, "3997f59b-91ae-44e1-be89-c23b6b330909");

    char result[1024 * 512];

    bool isSucc = downstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ˮԴˮΧ
*/
void CivWaterSupplyScopeTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[512];
    strcpy(sn, "ffd0f63d-b8c3-4354-aea5-aedc52cb8e16");

    char result[1024 * 32];

    bool isSucc = waterSupplyScopeAnalysis(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}
